const n = (t) => {
  const { get: r, spacing: e, color: o } = t;
  return {
    ".input": {
      flexShrink: 1,
      appearance: "none",
      height: e(12),
      fontSize: r("fontSize.body-sm")
    },
    "input.input, textarea.input": {
      backgroundColor: o("surface.alt"),
      borderRadius: e(1.5),
      borderWidth: "1px",
      borderStyle: "solid",
      borderColor: o("interaction.sub-border"),
      padding: e(3, 4),
      outline: "none",
      transitionProperty: "border-color, box-shadow",
      transitionDuration: r("transitionDuration.default"),
      transitionTimingFunction: r("transitionTimingFunction.default"),
      "&:active,&:focus": {
        borderColor: o("interaction.default"),
        boxShadow: `0 0 1px 1px ${o("interaction.default")}`
      },
      "&::placeholder": {
        color: o("content.placeholder"),
        fontWeight: 400
      },
      "&:disabled": {
        borderWidth: "0px",
        backgroundColor: o("interaction.support.disabled.subtle"),
        color: o("interaction.support.disabled.strong")
      },
      "&.prefilled": {
        borderWidth: "0px",
        color: o("content.secondary"),
        backgroundColor: o("interaction.support.prefilled")
      },
      "&.prefilled:disabled": {
        backgroundColor: o("interaction.support.prefilled")
      },
      "&.error": {
        borderColor: o("interaction.critical")
      }
    },
    "input.input": {
      lineHeight: 2
    },
    "textarea.input": {
      minHeight: e(36)
    },
    "input[type='file']": {
      display: "none"
    },
    ".file-upload-container": {
      display: "flex",
      flexDirection: "column",
      alignItems: "center",
      justifyContent: "center",
      textAlign: "center",
      backgroundColor: o("surface.default"),
      padding: e(12, 16),
      borderColor: o("divider.strong"),
      borderWidth: "1px",
      borderStyle: "dashed",
      borderRadius: e(1),
      color: o("content.secondary")
    },
    ".file-uploaded-container": {
      backgroundColor: o("surface.default"),
      padding: e(3.5, 4),
      borderRadius: e(1)
    }
  };
}, i = {
  getComponents: n
};
export {
  i as TailwindInputComponents
};
